import { NodeExecuteOutputValue, NodeOutputInfo } from './node.instance';
export declare class NodeContext<TOutputs extends Record<string, any>> {
    readonly id: number;
    readonly outputs: {
        [name in keyof TOutputs]: NodeContextOutput<TOutputs[keyof TOutputs]>;
    };
    readonly uiOutputs?: Record<string, any> | undefined;
    constructor(id: number, outputs: {
        [name in keyof TOutputs]: NodeContextOutput<TOutputs[keyof TOutputs]>;
    }, uiOutputs?: Record<string, any> | undefined);
}
export declare class NodeContextOutput<TValue = any> {
    readonly outputInfo: NodeOutputInfo;
    readonly nodeId: number;
    readonly outputIndex: number;
    readonly uiOutputValue?: NodeExecuteOutputValue | undefined;
    constructor(outputInfo: NodeOutputInfo, nodeId: number, outputIndex: number, uiOutputValue?: NodeExecuteOutputValue | undefined);
    get name(): string;
    get description(): string | undefined;
    get debugName(): string;
}
